/** \file menu.h
 * \brief <      >
 * <      >
 * \par
 * \author ARV
 * \note <  >
 * \n :
 * \n \date	04.03.2012
 * \par
 * \version <>.	\n
 * Copyright 2012  ARV. All rights reserved.
 * \par
 *   :\n
 * 	-# WinAVR-20080411    
 *
 */


#ifndef MENU_H_
#define MENU_H_

enum{
	ATTR_ALIGN_TOP		= _BV(0),
	ATTR_ALIGN_VCENTER	= _BV(1),
	ATTR_ALIGN_BOT		= _BV(2),
	ATTR_ALIGN_LEFT		= _BV(3),
	ATTR_ALIGN_HCENTER	= _BV(4),
	ATTR_ALIGN_RIGHT	= _BV(5),
	ATTR_SELECTED		= _BV(6),
	ATTR_TRUNCATE		= _BV(7)
};

#define ALIGN_CC		(ATTR_ALIGN_HCENTER | ATTR_ALIGN_VCENTER)
#define ALIGN_LT		(ATTR_ALIGN_TOP | ATTR_ALIGN_LEFT)
#define ALIGN_RT		(ATTR_ALIGN_TOP | ATTR_ALIGN_RIGHT)
#define ALIGN_CT		(ATTR_ALIGN_TOP | ATTR_ALIGN_HCENTER)


void text_row(uint8_t xl, uint8_t yt, uint8_t width, uint8_t attr, char *txt);

#endif /* MENU_H_ */
